package com.example.test4;

import androidx.appcompat.app.AppCompatActivity;

import android.content.Intent;
import android.os.AsyncTask;
import android.os.Bundle;
import android.view.View;
import android.widget.EditText;
import android.widget.Toast;

import org.json.JSONArray;
import org.json.JSONObject;

import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.net.HttpURLConnection;
import java.net.URL;

public class Login extends AppCompatActivity {

    EditText login, password;
    public static String nameUser;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_login);
        login = findViewById(R.id.login);
        password = findViewById(R.id.password);
    }

    public void goUser(View v)
    {
        new GetLogin().execute();
    }

    public void goGost(View v)
    {
        nameUser = "";
        startActivity(new Intent(this, MainActivity.class));
    }

    private class GetLogin extends AsyncTask<Void, Void, String>
    {

        @Override
        protected String doInBackground(Void... voids) {
            try
            {
                URL url = new URL("https://ngknn.ru:5001/NGKNN/%D0%9C%D0%B0%D0%BC%D1%88%D0%B5%D0%B2%D0%B0%D0%AE%D0%A1/%D0%AD%D0%BA%D0%B7%D0%B0%D0%BC%D0%B5%D0%BD/api/Users");
                HttpURLConnection connection = (HttpURLConnection)url.openConnection();
                BufferedReader reader = new BufferedReader(new InputStreamReader(connection.getInputStream()));
                StringBuilder result = new StringBuilder();
                String line = "";
                while((line = reader.readLine()) != null)
                {
                    result.append(line);
                }
                return result.toString();
            }
            catch (Exception e)
            {
                return null;
            }
        };

        @Override
        protected void onPostExecute(String s) {
            super.onPostExecute(s);
            try {
                JSONArray jsonArray = new JSONArray(s);
                int k = 0;
                for(int i = 0; i < jsonArray.length(); i++)
                {
                    JSONObject jsonObject = jsonArray.getJSONObject(i);
                    if(jsonObject.getString("Login").equals(login.getText().toString()))
                    {
                        if(jsonObject.getString("Password").equals(password.getText().toString()))
                        {
                            k++;
                            nameUser = jsonObject.getString("Name");
                            startActivity(new Intent(Login.this, MainActivity.class));
                        }
                    }
                }
                if(k == 0)
                {
                    Toast.makeText(Login.this, "Пользователь с таким логиным и паролем не найден", Toast.LENGTH_SHORT).show();
                }
            }
            catch (Exception exception)
            {

            }
        }
    }

}