package com.example.test4;

import android.os.Parcel;
import android.os.Parcelable;

public class Mask implements Parcelable
{
    private int ID;
    private String Title;
    private int Cost;
    private int StockAvailability;
    private int AvailabilityInTheStore;
    private String Description;
    private String Rewiews;
    private String Image;

    public Mask(int ID, String title, int cost, int stockAvailability, int availabilityInTheStore, String description, String rewiews, String image) {
        this.ID = ID;
        Title = title;
        Cost = cost;
        StockAvailability = stockAvailability;
        AvailabilityInTheStore = availabilityInTheStore;
        Description = description;
        Rewiews = rewiews;
        Image = image;
    }

    protected Mask(Parcel in) {
        ID = in.readInt();
        Title = in.readString();
        Cost = in.readInt();
        StockAvailability = in.readInt();
        AvailabilityInTheStore = in.readInt();
        Description = in.readString();
        Rewiews = in.readString();
        Image = in.readString();
    }

    public static final Creator<Mask> CREATOR = new Creator<Mask>() {
        @Override
        public Mask createFromParcel(Parcel in) {
            return new Mask(in);
        }

        @Override
        public Mask[] newArray(int size) {
            return new Mask[size];
        }
    };

    public int getID() {
        return ID;
    }

    public void setID(int ID) {
        this.ID = ID;
    }

    public String getTitle() {
        return Title;
    }

    public void setTitle(String title) {
        Title = title;
    }

    public int getCost() {
        return Cost;
    }

    public void setCost(int cost) {
        Cost = cost;
    }

    public int getStockAvailability() {
        return StockAvailability;
    }

    public void setStockAvailability(int stockAvailability) {
        StockAvailability = stockAvailability;
    }

    public int getAvailabilityInTheStore() {
        return AvailabilityInTheStore;
    }

    public void setAvailabilityInTheStore(int availabilityInTheStore) {
        AvailabilityInTheStore = availabilityInTheStore;
    }

    public String getDescription() {
        return Description;
    }

    public void setDescription(String description) {
        Description = description;
    }

    public String getRewiews() {
        return Rewiews;
    }

    public void setRewiews(String rewiews) {
        Rewiews = rewiews;
    }

    public String getImage() {
        return Image;
    }

    public void setImage(String image) {
        Image = image;
    }

    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeInt(ID);
        dest.writeString(Title);
        dest.writeInt(Cost);
        dest.writeInt(StockAvailability);
        dest.writeInt(AvailabilityInTheStore);
        dest.writeString(Description);
        dest.writeString(Rewiews);
        dest.writeString(Image);
    }
}
