package com.example.test4;

import retrofit2.Call;
import retrofit2.http.Body;
import retrofit2.http.DELETE;
import retrofit2.http.GET;
import retrofit2.http.POST;
import retrofit2.http.PUT;
import retrofit2.http.Query;

public interface RetrofitAPI
{
    @POST("HatShops")
    Call<HatShopsModal> postData(@Body HatShopsModal hatShopsModal);

    @GET("HatShops/{ID}")
    Call<HatShopsModal> getData(@Query("ID") int id);

    @DELETE("HatShops/{ID}")
    Call<Void> deleteData(@Query("ID") int id);

    @PUT("HatShops/{ID}")
    Call<HatShopsModal> putData(@Query("ID") int id, @Body HatShopsModal hatShopsModal);
}
